Bug 53278 - Two coreclr SIMD test failures (one regression from 4.8)
Summary: Two coreclr SIMD test failures (one regression from 4.8)
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2017-03-13 11:45 UTC by Alexander Köplinger [MSFT]
Modified: 2017-03-14 06:05 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alexander Köplinger [MSFT] 2017-03-13 11:45:58 UTC
Run https://github.com/mono/coreclr/blob/c7da48acf72c40c0c0ed1a80ebfacea21bb3a271/tests/src/JIT/SIMD/Ctors.cs on Mono master/814d37f556d24, it returns exit code zero. Mono 4.8 returns exit code 100 (the correct one for a "passed" coreclr test) -> Regression

Run https://github.com/mono/coreclr/blob/c7da48acf72c40c0c0ed1a80ebfacea21bb3a271/tests/src/JIT/SIMD/CreateGeneric.cs on Mono master, it crashes with:

> get_simd_vreg:: could not infer source simd vreg for op
> iconst R154 <- [49]
>* Assertion: should not be reached at simd-intrinsics.c:836

Mono 4.8 returned a type load exception, so not really a regression :)
Comment 1 Zoltan Varga 2017-03-14 06:05:52 UTC
Fixed by 8b7eee97889b581599bd15694e031f7d08c5e4de.